@rem #### set vlc program path and options ####
set vlc="C:\Program Files\VideoLAN\VLC\vlc.exe"
set vlcoption=-f -L --mouse-hide-timeout=0 --no-video-title-show

@rem #### pickup movie files in the current directory ####
@echo off
dir /a-d /s /b /oN *.mp4 *.mov *.m4v *.avi > filelist.out
for /f "tokens=*" %%a in (filelist.out) do call :processline %%a
@echo on

@rem #### play movies with vlc ####
%vlc% %filelist% %vlcoption%
goto :eof

@rem #### append file path function ####
:processline
set filelist=%filelist% "%*"
goto :eof

:eof